Bullet Collision Detection & Physics Library: btConvexHullInternal::Int128 Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
btConvexHullInternal::Int128 Class Reference

## Public Member Functions
| Int128 ()
| Int128 (uint64_t low, uint64_t high)
| Int128 (uint64_t low)
| Int128 (int64_t value)
Int128 | operator- () const
Int128 | operator+ (const Int128 &b) const
Int128 | operator- (const Int128 &b) const
Int128 & | operator+= (const Int128 &b)
Int128 & | operator++ ()
Int128 | operator* (int64_t b) const
btScalar | toScalar () const
int | getSign () const
bool | operator< (const Int128 &b) const
int | ucmp (const Int128 &b) const

## Static Public Member Functions
static Int128 | mul (int64_t a, int64_t b)
static Int128 | mul (uint64_t a, uint64_t b)

## Public Attributes
uint64_t | low
uint64_t | high

## Detailed Description

Definition at line 137 of file btConvexHullComputer.cpp.

## Constructor & Destructor Documentation

## ◆ Int128() [1/4]

btConvexHullInternal::Int128::Int128 | ( |  | ) |
| inline

Definition at line 143 of file btConvexHullComputer.cpp.

## ◆ Int128() [2/4]

btConvexHullInternal::Int128::Int128 | ( | uint64_t | low,
|  | uint64_t | high )
| inline

Definition at line 147 of file btConvexHullComputer.cpp.

## ◆ Int128() [3/4]

btConvexHullInternal::Int128::Int128 | ( | uint64_t | low | ) |
| inline

Definition at line 151 of file btConvexHullComputer.cpp.

## ◆ Int128() [4/4]

btConvexHullInternal::Int128::Int128 | ( | int64_t | value | ) |
| inline

Definition at line 155 of file btConvexHullComputer.cpp.

## Member Function Documentation

## ◆ getSign()

int btConvexHullInternal::Int128::getSign | ( |  | ) | const
| inline

Definition at line 239 of file btConvexHullComputer.cpp.

## ◆ mul() [1/2]

btConvexHullInternal::Int128 btConvexHullInternal::Int128::mul | ( | int64_t | a,
|  | int64_t | b )
| static

Definition at line 853 of file btConvexHullComputer.cpp.

## ◆ mul() [2/2]

btConvexHullInternal::Int128 btConvexHullInternal::Int128::mul | ( | uint64_t | a,
|  | uint64_t | b )
| static

Definition at line 880 of file btConvexHullComputer.cpp.

## ◆ operator*()

btConvexHullInternal::Int128 btConvexHullInternal::Int128::operator* | ( | int64_t | b | ) | const

Definition at line 839 of file btConvexHullComputer.cpp.

## ◆ operator+()

Int128 btConvexHullInternal::Int128::operator+ | ( | const Int128 & | b | ) | const
| inline

Definition at line 168 of file btConvexHullComputer.cpp.

## ◆ operator++()

Int128 & btConvexHullInternal::Int128::operator++ | ( |  | ) |
| inline

Definition at line 222 of file btConvexHullComputer.cpp.

## ◆ operator+=()

Int128 & btConvexHullInternal::Int128::operator+= | ( | const Int128 & | b | ) |
| inline

Definition at line 201 of file btConvexHullComputer.cpp.

## ◆ operator-() [1/2]

Int128 btConvexHullInternal::Int128::operator- | ( |  | ) | const
| inline

Definition at line 163 of file btConvexHullComputer.cpp.

## ◆ operator-() [2/2]

Int128 btConvexHullInternal::Int128::operator- | ( | const Int128 & | b | ) | const
| inline

Definition at line 185 of file btConvexHullComputer.cpp.

## ◆ operator<()

bool btConvexHullInternal::Int128::operator< | ( | const Int128 & | b | ) | const
| inline

Definition at line 244 of file btConvexHullComputer.cpp.

## ◆ toScalar()

btScalar btConvexHullInternal::Int128::toScalar | ( |  | ) | const
| inline

Definition at line 233 of file btConvexHullComputer.cpp.

## ◆ ucmp()

int btConvexHullInternal::Int128::ucmp | ( | const Int128 & | b | ) | const
| inline

Definition at line 249 of file btConvexHullComputer.cpp.

## Member Data Documentation

## ◆ high

uint64_t btConvexHullInternal::Int128::high

Definition at line 141 of file btConvexHullComputer.cpp.

## ◆ low

uint64_t btConvexHullInternal::Int128::low

Definition at line 140 of file btConvexHullComputer.cpp.

The documentation for this class was generated from the following file:

- btConvexHullComputer.cpp